Create Fleet
curl --request POST \
--url https://{host}/api/fleets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"capabilities": [
"train"
],
"visibility": "public",
"project": "",
"description": "",
"config": {}
}
'import requests
url = "https://{host}/api/fleets"
payload = {
"id": "<string>",
"capabilities": ["train"],
"visibility": "public",
"project": "",
"description": "",
"config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
capabilities: ['train'],
visibility: 'public',
project: '',
description: '',
config: {}
})
};
fetch('https://{host}/api/fleets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"kind": "<string>",
"delivery": "<string>",
"visibility": "<string>",
"state": "<string>",
"capabilities": [],
"project": "",
"description": "",
"created_by": "",
"created_at": "<string>",
"updated_at": "<string>",
"node_counts": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}POST
/
api
/
fleets
Create Fleet
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Required string length:
1 - 64可用选项:
local, node, kuberay, slurm 可用选项:
shared-mount, object-pull 可用选项:
train, serve, env 可用选项:
public, project